import { ChangeDetectorRef, ElementRef, AfterViewInit, EventEmitter } from '@angular/core';
import { ScrollingTabDirective } from './scrolling-tab.directive';
export declare class ScrollingTabsComponent implements AfterViewInit {
    changeDetector: ChangeDetectorRef;
    navWrapper: ElementRef;
    tabList: ElementRef;
    firstTabActive: boolean;
    scrollToActive: boolean;
    selectedTabChanged: EventEmitter<ScrollingTabDirective>;
    tabs: ScrollingTabDirective[];
    scrollBarWidths: number;
    leftOffset: number;
    firstVisibleTabIndex: number;
    showLeftArrow: boolean;
    showRightArrow: boolean;
    constructor(changeDetector: ChangeDetectorRef);
    ngAfterViewInit(): void;
    addTab(tab: ScrollingTabDirective): void;
    removeTab(tab: ScrollingTabDirective): void;
    clickInsideComponent(): void;
    redrawTabs(): void;
    widthOfList(): number;
    onScrollerLeftClick(): void;
    onScrollerRightClick(): void;
    markFirstTabActive(): void;
    scrollToActiveTab(): void;
    onSelectedTabChanged(tab: ScrollingTabDirective): void;
}
